const workoutData = {
  monday: {
    title: "Legs Day 🦵",
    exercises: [
      {
        name: "Smith Machine Squats",
        sets: "4 sets × 10-12 reps",
        weight: "Empty bar + 2.5kg/side",
        tips: "Keep chest up, wider stance"
      },
      {
        name: "Dumbbell RDL",
        sets: "3 sets × 12-15 reps",
        weight: "5kg dumbbells",
        tips: "Hip hinge movement, feel hamstring stretch"
      }
    ]
  },
  tuesday: {
    title: "Shoulders & Abs 💪",
    exercises: [
      {
        name: "Dumbbell Seated Overhead Press",
        sets: "3 sets × 12-15 reps",
        weight: "2.5kg dumbbells",
        tips: "Core tight, full range of motion"
      }
    ]
  }
  // Add other days similarly
};

document.addEventListener('DOMContentLoaded', () => {
  const dayButtons = document.querySelectorAll('.day-btn');
  const workoutContainer = document.getElementById('workout-container');
  const tipsToggle = document.getElementById('tips-toggle');
  const tipsSection = document.querySelector('.tips-section');

  function loadWorkout(day) {
    const workout = workoutData[day];
    if (!workout) return;

    workoutContainer.innerHTML = `
      <h2>${workout.title}</h2>
      ${workout.exercises.map(exercise => `
        <div class="exercise-card">
          <h3>${exercise.name}</h3>
          <p><strong>Sets:</strong> ${exercise.sets}</p>
          <p><strong>Weight:</strong> ${exercise.weight}</p>
          <p><strong>Tips:</strong> ${exercise.tips}</p>
        </div>
      `).join('')}
    `;
  }

  dayButtons.forEach(button => {
    button.addEventListener('click', () => {
      dayButtons.forEach(btn => btn.classList.remove('active'));
      button.classList.add('active');
      loadWorkout(button.dataset.day);
    });
  });

  tipsToggle.addEventListener('click', () => {
    tipsSection.classList.toggle('hidden');
  });

  // Load Monday's workout by default
  loadWorkout('monday');
});
